package com.kingdee.eas.custom.esign;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractEsignLogInfo extends com.kingdee.eas.framework.DataBaseInfo implements Serializable 
{
    public AbstractEsignLogInfo()
    {
        this("id");
    }
    protected AbstractEsignLogInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: e签宝日志 's 行政组织 property 
     */
    public com.kingdee.eas.basedata.org.AdminOrgUnitInfo getAdminOrgUnit()
    {
        return (com.kingdee.eas.basedata.org.AdminOrgUnitInfo)get("adminOrgUnit");
    }
    public void setAdminOrgUnit(com.kingdee.eas.basedata.org.AdminOrgUnitInfo item)
    {
        put("adminOrgUnit", item);
    }
    /**
     * Object:e签宝日志's 请求地址property 
     */
    public String getUrl()
    {
        return getString("url");
    }
    public void setUrl(String item)
    {
        setString("url", item);
    }
    /**
     * Object:e签宝日志's 接口名property 
     */
    public com.kingdee.eas.custom.esign.bizEnum.EsignConfigEnum getEsiginName()
    {
        return com.kingdee.eas.custom.esign.bizEnum.EsignConfigEnum.getEnum(getString("esiginName"));
    }
    public void setEsiginName(com.kingdee.eas.custom.esign.bizEnum.EsignConfigEnum item)
    {
		if (item != null) {
        setString("esiginName", item.getValue());
		}
    }
    /**
     * Object:e签宝日志's 请求数据property 
     */
    public String getRequestData()
    {
        return getString("requestData");
    }
    public void setRequestData(String item)
    {
        setString("requestData", item);
    }
    /**
     * Object:e签宝日志's 响应数据property 
     */
    public String getResponseData()
    {
        return getString("responseData");
    }
    public void setResponseData(String item)
    {
        setString("responseData", item);
    }
    /**
     * Object:e签宝日志's 来源单据idproperty 
     */
    public String getSource()
    {
        return getString("source");
    }
    public void setSource(String item)
    {
        setString("source", item);
    }
    /**
     * Object:e签宝日志's 消息property 
     */
    public String getMsg()
    {
        return getString("msg");
    }
    public void setMsg(String item)
    {
        setString("msg", item);
    }
    /**
     * Object:e签宝日志's 请求状态property 
     */
    public String getRequestState()
    {
        return getString("requestState");
    }
    public void setRequestState(String item)
    {
        setString("requestState", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("D769F653");
    }
}